Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglet.util
Class Arguments

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--com.ibm.aglet.util.Arguments

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public final class Arguments
extends java.util.Hashtable

The `Argument` class is a object that holds various kinds of objects as arguments. This exists because the Hashtable does not accept "null" as arguments.

Version:
  1.20 $Date: 2001/07/28 06:34:13 $
Author:
  Mitsuru Oshima
See Also:
  Serialized Form

Inner classes inherited from class java.util.Map
`java.util.Map.Entry`

Constructor Summary
`Arguments()` Constructs a empty arguments object.

Method Summary
`java.lang.Object` | `clone()`
`java.lang.Object` | `getArg(java.lang.String name)` Get the value associated with the name.
`java.lang.Object` | `setArg(java.lang.String name, boolean value)` Set a boolean value with an associated name.
`java.lang.Object` | `setArg(java.lang.String name, byte value)` Set a byte value with an associated name.
`java.lang.Object` | `setArg(java.lang.String name, char value)` Sets a character value with an associated name.
`java.lang.Object` | `setArg(java.lang.String name, double value)` Set a double value with an associated name.
`java.lang.Object` | `setArg(java.lang.String name, float value)` Set a float value with an associated name.
`java.lang.Object` | `setArg(java.lang.String name, int value)` Set a int value with an associated name.
`java.lang.Object` | `setArg(java.lang.String name, long value)` Sets a long value with an associated name.
`java.lang.Object` | `setArg(java.lang.String name, java.lang.Object value)` Set a value with an associated name.
`java.lang.Object` | `setArg(java.lang.String name, short value)` Set a short value with an associated name.

Methods inherited from class java.util.Hashtable
`clear, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Arguments

    public Arguments()

  Constructs a empty arguments object.

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.util.Hashtable`

### getArg

    public java.lang.Object getArg(java.lang.String name)

  Get the value associated with the name.
  Returns:
    the value associated with the given name

### setArg

    public java.lang.Object setArg(java.lang.String name,
                                   byte value)

  Set a byte value with an associated name.
  Parameters:
    `name` - a name of this argument.
    `value` - a byte value of this argument.

### setArg

    public java.lang.Object setArg(java.lang.String name,
                                   char value)

  Sets a character value with an associated name.
  Parameters:
    `name` - a name of this argument.
    `value` - a character value of this argument.

### setArg

    public java.lang.Object setArg(java.lang.String name,
                                   double value)

  Set a double value with an associated name.
  Parameters:
    `name` - a name of this argument.
    `d` - a double value of this argument.

### setArg

    public java.lang.Object setArg(java.lang.String name,
                                   float value)

  Set a float value with an associated name.
  Parameters:
    `name` - a name of this argument.
    `value` - a float value of this argument.

### setArg

    public java.lang.Object setArg(java.lang.String name,
                                   int value)

  Set a int value with an associated name.
  Parameters:
    `name` - a name of this argument.
    `value` - an integer value of this argument.

### setArg

    public java.lang.Object setArg(java.lang.String name,
                                   long value)

  Sets a long value with an associated name.
  Parameters:
    `name` - a name of this argument.
    `value` - a long value of this argument.

### setArg

    public java.lang.Object setArg(java.lang.String name,
                                   java.lang.Object value)

  Set a value with an associated name.
  Parameters:
    `name` - a name of this argument.
    `value` - a value of this argument.

### setArg

    public java.lang.Object setArg(java.lang.String name,
                                   short value)

  Set a short value with an associated name.
  Parameters:
    `name` - a name of this argument.
    `value` - a short value of this argument.

### setArg

    public java.lang.Object setArg(java.lang.String name,
                                   boolean value)

  Set a boolean value with an associated name.
  Parameters:
    `name` - a name of this argument.
    `value` - a boolean value of this argument.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD